<template>
  <!-- <v-menu
    bottom
    left
    min-width="200"
    offset-y
    origin="top right"
    transition="scale-transition"
  >
    <template v-slot:activator="{ attrs, on }">
      <v-btn
        class="ml-2"
        min-width="0"
        text
        v-bind="attrs"
        v-on="on"
      >
        <v-icon>mdi-account</v-icon>
      </v-btn>
    </template>

    <v-list
      :tile="false"
      flat
      nav
    >
      <template>
        <v-divider
          v-if="p.divider"
          :key="`divider-${i}`"
          class="mb-2 mt-2"
        />

        <app-bar-item
          v-else
          :key="`item-${i}`"
          to="/"
        >
          <v-list-item-title v-text="p.title" />
        </app-bar-item>
      </template>
    </v-list>
  </v-menu> -->
  <v-menu offset-y origin="right top" left content-class="language-dropdown" transition="slide-y-transition" nudge-top="-10">
		<template v-slot:activator="{ on }">
			<v-btn icon large v-on="on" class="ml-2 v-step-3">
				<img class="img-responsive" :src="`/static/flag-icons/${selectedLocale.icon}.png`">
			</v-btn>
		</template>
		<div class="dropdown-content">
			<div class="dropdown-top d-custom-flex justify-space-between primary">
				<span class="white--text fw-bold">{{$t('lenguajes')}}</span>
			</div>
			<v-list class="dropdown-list">
				<v-list-item v-for="language in languages" :key="language.name" @click="changeLanguage(language)">
					<img class="img-responsive mr-3" :src="`/static/flag-icons/${language.icon}.png`">
					<span>{{ language.name }}</span>
				</v-list-item>
			</v-list>
		</div>
	</v-menu>
</template>

<script>
import { mapGetters	} from "vuex";
  export default {
    name: 'DefaultAccount',
    computed: {
			...mapGetters(["selectedLocale", "languages"])
		},
    data: () => ({
      // languages: [
      //   {
      //     name: "Español",
      //     icon: "es",
      //     locale: "sp"
      //   },
      //   {
      //     name: "Ingles",
      //     icon: "en",
      //     locale: "en"
      //   },
      // ],
      // bandera: 'es'
    }),
    methods: {
      changeLanguage(language) {
				this.$i18n.locale = language.locale;
        // this.bandera = language.icon
				this.$store.dispatch("changeLanguage", language);
			}
    }
  }
</script>
